

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Edit Post</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><g:link class="list" action="manage">Back to Post Overview</g:link></span>
            <span class="menuButton"><g:link class="create" action="create">Add new Post</g:link></span>
        </div>
        <div class="body">
            <h1>Edit Post</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${postInstance}">
            <div class="errors">
                <g:renderErrors bean="${postInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <input type="hidden" name="id" value="${postInstance?.id}" />
                <input type="hidden" name="version" value="${postInstance?.version}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="title">Title:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:postInstance,field:'title','errors')}">
                                    <input size="60" type="text" id="title" name="title" value="${fieldValue(bean:postInstance,field:'title')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="date">Date:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:postInstance,field:'date','errors')}">
                                    <g:datePicker name="date" value="${postInstance?.date}" precision="minute" ></g:datePicker>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="tags">Tags:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:postInstance,field:'tags','errors')}">
                                    <input size="60" type="text" id="tags" name="tags" value="${fieldValue(bean:postInstance,field:'tags')}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="categories">Categories:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:postInstance,field:'categories','errors')}">
                                    <select name="cat" multiple="multiple">
                                        <g:each in="${BlogCategory.list()}" var="x">
                                            <option value="${x.id}" <%
                                                
                                                postInstance.categories.each
                                                {
                                                    if(it == x)
                                                    {
                                                        println 'selected="selected"'
                                                    }
                                                }
                                            %>>${x.name}</option>
                                        </g:each>
                                    </select>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="comments">Comments:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:postInstance,field:'comments','errors')}">
                                    
<ul>
<g:each var="c" in="${postInstance?.comments?}">
    <li><g:link controller="comment" action="show" id="${c.id}">${c?.encodeAsHTML()}</g:link></li>
</g:each>
</ul>
<g:link controller="comment" params="['post.id':postInstance?.id]" action="create">Add Comment</g:link>

                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="user">User:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:postInstance,field:'user','errors')}">
                                    <g:select optionKey="id" from="${User.list()}" name="user.id" value="${postInstance?.user?.id}" ></g:select>
                                </td>
                            </tr>

							<tr class="prop">
                                <td valign="top" class="name">
                                    <label for="content">Content:</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean:postInstance,field:'content','errors')}">
                                    <textarea cols="58" rows="10" id="content" name="content">${fieldValue(bean:postInstance,field:'content')}</textarea>
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" value="Update" /></span>
                    <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
